From baac90dd2a403114cb3a0f6bc7565dec67826c01 Mon Sep 17 00:00:00 2001
From: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
Date: Thu, 28 May 2009 10:08:59 +0200
Subject: [PATCH 11/33] V4L2: add a new V4L2_CID_BAND_STOP_FILTER integer control

Add a new V4L2_CID_BAND_STOP_FILTER integer control, which either switches the
band-stop filter off, or sets it to a certain strength.

Signed-off-by: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
---
 include/linux/videodev2.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/include/linux/videodev2.h b/include/linux/videodev2.h
index f24ecee..1472d63 100644
--- a/include/linux/videodev2.h
+++ b/include/linux/videodev2.h
@@ -895,8 +895,10 @@ enum v4l2_colorfx {
 	V4L2_COLORFX_SEPIA	= 2,
 };
 
+#define V4L2_CID_BAND_STOP_FILTER		(V4L2_CID_BASE+32)
+
 /* last CID + 1 */
-#define V4L2_CID_LASTP1                         (V4L2_CID_BASE+32)
+#define V4L2_CID_LASTP1                         (V4L2_CID_BASE+33)
 
 /*  MPEG-class control IDs defined by V4L2 */
 #define V4L2_CID_MPEG_BASE 			(V4L2_CTRL_CLASS_MPEG | 0x900)
-- 
1.6.2.4

